<%@ page language="java" import="java.util.*" pageEncoding="utf-8"%>
<%@ include file="../../include/global.jsp" %>
<%@ include file="../../include/taglib.jsp" %>
<%@ taglib prefix="tags" tagdir="/WEB-INF/tags" %>

<%@ page import="com.rhhz.email.action.EmailController"%>
<%
	pageContext.setAttribute("requestPath",EmailController.BASE_PATH);
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
  
  <script type="text/javascript">
	//添加文章
	function saveDraft(){
			var emailType = $("#emailType").val();
			var ids = "";
			var count = $("input[name='articleIds']:checked");
			$("input[name='articleIds']:checked").each(function(ind, val){
				ids += "'" + val.value +"',";
			});
			ids = ids.substr(0,ids.length-1);
			$("input[name='ids']").val(ids);
			if((ids=="" || ids==",") && emailType !="TOPIC"){
				alertMsg.info('请选择文章！');
				return;
			}
			$("#pageForm").submit();
	}
	function isNull(object){
		return typeof(object) == "undefined" || object == null || object == ""; 
	}
	$("#emailType").change(function(){
		var emailType = $("#emailType").val();
		$("#pageForm1").find("input[name='emailType']").val(emailType);
		$("#pageForm1").submit();
	});
	</script>
	</head>
  <body>
 
 


<div class="pageHeader">
	<form id="pageForm" action="<%=basePath%>manager/journal/email/createDraftInfo" method="post" class="pageForm required-validate" enctype="multipart/form-data" onsubmit="return validateCallback(this, dialogAjaxDone)" novalidate="novalidate">
	<input type="hidden" name="pageNum" value="${pagerFilter.pagePer}" />
	<input type="hidden" name="total" value="${pagerFilter.total }"/>
	<input type="hidden" name="orderField" value="${pagerFilter.orderFilter }"/>
	<input type="hidden" name="orderDirection" value="${pagerFilter.orderDirection}" />
	<input type="hidden" name="max" value="${pagerFilter.max}" />
	<input type="hidden" name="numPerPage"  value="${pagerFilter.max}"/>
	<input type="hidden" name="articleInfo.virtualAlbumIds" value="${articleInfo.virtualAlbumIds}"/>
	<input type="hidden" name="ids" />
			<div class="searchBar">
					<table class="searchContent">
						<tr>
							<!-- 收件人暂时不需要 -->
							<%-- <td>
								收件人：
								<input type="text" name="addressees" class="clearValue" value="${draftInfo.addressees}" />
							</td> --%>
							
							<td style="padding-right: 0px;">
								邮件类型：
								<select name="emailType" class="clearOption" ref="lanmuCombox" id="emailType">
									<option value="TOC" <c:if test="${draftInfo.emailType == 'TOC'}">selected="selected"</c:if>>TOC</option>
									<option value="TOPIC" <c:if test="${draftInfo.emailType == 'TOPIC'}">selected="selected"</c:if>>TOPIC</option>
									<option value="ASAP" <c:if test="${draftInfo.emailType != 'TOC' && draftInfo.emailType != 'TOPIC'}">selected="selected"</c:if>>ASAP</option>
								</select>
							</td>
						</tr>
						<tr>
						
						</tr>
						<tr>
							<td>
								主&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;题：
								<input type="text" name="subject" class="clearValue" value="${draftInfo.subject}" style="width:500px;" 
								 placeholder="默认主题可不填写，例如：Early View Alert: ${journal.title}"/>
							</td>
						</tr>
					</table>
					<div class="subBar" style="float:right">
						<ul>
							<li>
								<div class="buttonActive">
									<div class="buttonContent">
										<button type="button" onclick="saveDraft();">
											创建
										</button>
									</div>
								</div>
							</li>
							<li>
								<div class="buttonActive">
									<div class="buttonContent">
										<button type="button" id="clearButton" class="close">
											取消	
										</button>
									</div>
								</div>
							</li>
						</ul>
					</div>
			</div>
	</form>
	</form>
</div>

<div class="pageContent">
	
	<table class="table" width="100%" layoutH="140" width="1560">
		<thead>
			<tr>
				<th width="20" align="center"><input type="checkbox" group="articleIds" class="checkboxCtrl" <c:if test="${draftInfo.emailType == 'TOC'}"> checked="checked" disabled='disabled'</c:if><c:if test="${draftInfo.emailType == 'TOPIC'}">disabled='disabled'</c:if>> </th>
				<th width="50" align="center">序号</th>
				<th width="200" align="center">文章标题</th>
				<th width="70" align="center">栏目</th>
				<th width="50" align="center">年</th>
				<th width="50" align="center">期</th>
				<th width="80" align="center">文章状态</th>
				<th width="80" align="center">发表状态</th>
				<th width="80" align="center">是否推送</th>
			</tr>
		</thead>
		<tbody>
		<c:if test="${not empty pagerFilter}">
		<c:forEach items="${pagerFilter.objs}" var="article" varStatus="status">
		<tr class=table-alternate1 align=middle >
          	<td><input name="articleIds" value="${article.id}" type="checkbox" <c:if test="${draftInfo.emailType == 'TOC'}"> checked="checked" disabled='disabled'</c:if> /></td>
			<td>${status.index + 1 }</td>
			<td style="text-align: left;">
				${article.title }
			</td>
			<td style="text-align: left;">${article.categoryName }</td>
			<td style="text-align: center;">${article.year }</td>
			<td style="text-align: center;">${article.issue }</td>
			<td>
				<c:choose>
					<c:when test="${article.releaseState==1}">
						 已发布
					</c:when>
					<c:otherwise>
						 未发布     
					</c:otherwise>
				</c:choose>
			</td>
			<td>
				<span class="info" style="color: red;line-height: 22px;">${item.latestState}</span>
			</td>
		   	<td>
						<c:choose>
							<c:when test="${item.recommendState==1}">
								<span class="info" style="color: red;line-height: 22px;">
									<c:choose>
										<c:when test="${empty item.recommendType}">是</c:when>
										<c:otherwise>
											<c:forEach items="${recommendTypeMap}" var="itemType" varStatus="s">
												<c:if test="${item.recommendType==itemType.key}">${itemType.value}</c:if>
											</c:forEach>
										</c:otherwise>
									</c:choose>
								</span>
							</c:when>
							<c:otherwise>
								否
							</c:otherwise>
						</c:choose>
			</td>
        </tr>
		</c:forEach>
		</c:if>
		</tbody>
	</table>
	<!-- 分页 -->
	<tags:pagerBar targetType="dialog"></tags:pagerBar>	
</div>
<form id="pageForm1"  action="<%=basePath%>manager/journal/email/addDraftInfo"  onsubmit="return  dwzSearch(this, 'dialog');" method="post">
	<input type="hidden" name="addressees" value="${draftInfo.addressees}" />
	<input type="hidden" name="emailType" value="${draftInfo.emailType}" />
	<input type="hidden" name="subject" value="${draftInfo.subject}" />
</form>
  </body>
</html>
